Documentation Index
Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /sites
生成リクエストで作成された、認証ユーザーに紐づくサイトをすべて一覧します。
レスポンス
サイトオブジェクトの配列。
現在の状態: pending、processing、completed、failed。
生成済み llms.txt へのアクセス URL。
サイト作成日時の ISO 8601 タイムスタンプ。
最終更新日時の ISO 8601 タイムスタンプ。
curl -X GET https://api.llmgenerator.com/api/v1/sites \
-H "Authorization: Bearer YOUR_API_KEY"
{
"sites": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com",
"status": "completed",
"fileUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000",
"fullTextUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000?full=true",
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-20T14:30:00.000Z"
},
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"url": "https://another-example.com",
"status": "completed",
"fileUrl": "https://api.llmgenerator.com/api/v1/file/660e8400-e29b-41d4-a716-446655440001",
"fullTextUrl": null,
"createdAt": "2026-01-10T08:00:00.000Z",
"updatedAt": "2026-01-10T08:15:00.000Z"
}
],
"total": 2
}